From 33e5508f710b2d78674461fed16befde0f6f6c8f Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Tue, 30 Mar 2010 16:33:44 +0300
Subject: [PATCH] Fix error: declaration of 'round' shadows a global declaration
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 src/game.c    |    4 ++--
 src/xbubble.c |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/game.c b/src/game.c
index cabd993..31e1342 100644
--- a/src/game.c
+++ b/src/game.c
@@ -187,7 +187,7 @@ static void display_cups( Game game, int n, int on ) {
 Game new_game( enum GameMode mode,
 	       RuleSet_t *ruleset,
 	       int *colors,
-	       int round,
+	       int round_now,
 	       int *score,
 	       enum Level level ) {
 
@@ -200,7 +200,7 @@ Game new_game( enum GameMode mode,
   game->state = PLAYING;
   game->mode = mode;
   game->score = score;
-  game->round = round;
+  game->round = round_now;
   for ( i = 0; i < 2; i++ ) {
     game->player_left[i] = 0;
     game->player_right[i] = 0;
diff --git a/src/xbubble.c b/src/xbubble.c
index 8763c05..0f84d25 100644
--- a/src/xbubble.c
+++ b/src/xbubble.c
@@ -116,7 +116,7 @@ static void play_challenge_game( int *handicap ) {
 }
 
 static void play_match( enum GameMode mode, int *handicap, enum Level level ) {
-  int round;
+  int game_round;
   int done;
   int score[2];
   int games[2]  = { 0, 0 };
@@ -132,10 +132,10 @@ static void play_match( enum GameMode mode, int *handicap, enum Level level ) {
     score[0] = 0;
     score[1] = 0;
     done = 0;
-    for ( round = 1; !done; round++ ) {
+    for ( game_round = 1; !done; game_round++ ) {
       /* preload bubbles */
       create_randome_level(5);
-      game = new_game( mode, ruleset, colors, round, score, level);
+      game = new_game( mode, ruleset, colors, game_round, score, level);
       result = play_game(game);
       done = score[1]==2 || score[0]==2 || result == ABORTED;
        //not_done= (!(((score[1]>=5)&&(score[1]-score[0]>1)) || 
-- 
1.7.0

